import { connect } from 'react-redux';

import App from './App';

import { initCategory } from 'redux/actions/category';

const mapStateToProps = ({ category }) => {
    const { loading, error, items, name } = category;
    return {
        loading,
        error,
        items,
        name
    }
};

const mapDispatchToProps = {
    initCategory
};

export default connect(mapStateToProps, mapDispatchToProps)(App);