
const newItemsCategoryCode = 'new';

const listing = Object.freeze({
    path: '/shop/:category',
    getUrl: (categoryCode) => `/shop/${categoryCode}`
});

const details = Object.freeze({
    path: '/product/:productId',
    getUrl: (productId) => `/product/${productId}`
});

const ROUTES = Object.freeze({
    listing,
    details,
    fallback: listing.getUrl(newItemsCategoryCode)
});

export default ROUTES;